﻿/* CSS樣式 */

.cssPanel /* panel 外框有顏色 */ {
    font-family: Microsoft JhengHei;
    font-size: 9pt;
    font-weight: bold;
    background-color: #FAFAFA;
    border-color: #336699;
    border-style: initial;
    border-width: 2px;
    color: #616161; /*內容文字顏色*/
}

.cssPanelSearch /* panel 外框有顏色 */ {
    font-family: Microsoft JhengHei;
    font-size: 9pt;
    font-weight: bold;
    background-color: #FAFAFA;
    border-color: #336699;
    border-style: initial;
    border-width: 2px;
    color: #000000;
}

.title_bold {
    font-size: 16pt;
    color: #E47726;
    font-weight: bold;
}

hr {
    height: 1px;
    border: none;
    border-top: 2px #CCCCCC dashed;
}


/* Table View */
table.lvView {
    font-family: Microsoft JhengHei;
    margin: 0 auto;
    border-spacing: 0px 5px;
    font-size: 14px;

    table-layout: fixed;
    word-break: break-all;
}

    table.lvView th {
        background: #3671B9;
        vertical-align: middle;
        text-align: center;
        overflow: visible;
        position: relative;
        color: #fff;
        font-weight: normal;
        font-size: 15px;
    }

    table.lvView td {
        padding: 10px;
        padding-left: 10px;
    }

    table.lvView tr.even td {
        background: #FFEFDE;
    }

    table.lvView tr.odd td {
        background: #E9F9FD;
    }

    table.lvView tr:hover td {
         /*滑鼠游標*/
        color: #FFF;
        background-color: #FFAB52;
    }


/* Table 維護 */
table.lvModify {
    margin: 0 auto;
    border-collapse: separate;
    border-spacing: 0px 15px;
    font-size: 12px;
}

    table.lvModify td {
        padding: 10px;
    }

    table.lvModify th {
        /*background: #295890;*/
        background: #3671B9;
        vertical-align: middle;
        text-align: center;
        width: 100px;
        overflow: visible;
        position: relative;
        color: #fff;
        font-weight: normal;
        font-size: 15px;
    }

        table.lvModify th:after {
            left: 100%;
            top: 50%;
            border: solid transparent;
            content: " ";
            height: 0;
            width: 0;
            position: absolute;
            pointer-events: none;
            border-color: rgba(136, 183, 213, 0);
            border-left-color: #3671B9;
            border-width: 10px;
            margin-top: -10px;
        }

    table.lvModify td {
        background: #f8f8f8;
        width: 360px;
        padding-left: 20px;
    }


/* Table 填寫資料 */
table.InputStyle {
    width: 500px;
    margin: 0 auto;
    border-collapse: separate;
    border-spacing: 0px 15px;
    font-size: 12px;
    color: #3671B9;
}

    table.InputStyle td {
        padding: 10px;
    }

    table.InputStyle th {
        background: #3671B9;
        vertical-align: middle;
        text-align: center;
        width: 100px;
        overflow: visible;
        position: relative;
        color: #fff;
        font-weight: normal;
        font-size: 15px;
    }

        table.InputStyle th:after {
            left: 100%;
            top: 50%;
            border: solid transparent;
            content: " ";
            height: 0;
            width: 0;
            position: absolute;
            pointer-events: none;
            border-color: rgba(136, 183, 213, 0);
            border-left-color: #3671B9;
            border-width: 10px;
            margin-top: -10px;
        }

    table.InputStyle td {
        background: #f8f8f8;
        padding-left: 20px;
    }

/* Table 註冊 */
table.InputCreatePage {
    width: 500px;
    margin: 0 auto;
    border-collapse: separate;
    border-spacing: 0px 15px;
    font-size: 12px;
}

    table.InputCreatePage td {
        padding: 10px;
    }

    table.InputCreatePage th {
        vertical-align: middle;
        text-align: center;
        width: 100px;
        overflow: visible;
        position: relative;
        color: #393949;
        font-weight: normal;
        font-size: 15px;
    }

    table.InputCreatePage td {
        background: #f8f8f8;
        padding-left: 20px;
    }


/* Table 藍色, 三角 (無間距) */
table.TriangleBlue th {
    background: #3671B9;
    vertical-align: middle;
    text-align: center;
    overflow: visible;
    position: relative;
    color: #fff;
    font-weight: normal;
    font-size: 15px;
}

    table.TriangleBlue th:after {
        left: 100%;
        top: 50%;
        border: solid transparent;
        content: " ";
        height: 0;
        width: 0;
        position: absolute;
        pointer-events: none;
        border-color: rgba(136, 183, 213, 0);
        border-left-color: #3671B9;
        border-width: 10px;
        margin-top: -10px;
    }


/* TextBox */
.iTxt {
    font-family: Tahoma;
    -webkit-box-sizing: border-box;
    -moz-box-sizing: border-box;
    -o-box-sizing: border-box;
    -ms-box-sizing: border-box;
    box-sizing: border-box;
    background-color: #eff5f8;
    border: 1px solid #C2D0D7;
    padding-left: 4px;
    color: #0d5475;
    /*width: 100%;
    height: 50px;*/
    /*font-size: 20px;*/
    /*margin-bottom: 5px;*/
}

    .iTxt:focus {
        border-color: #66AFE9; /* 天空 */
        border-color: #FCA7A7; /* 粉紅 */
        outline: 0;
        -webkit-box-shadow: inset 0 1px 1px rgba(0,0,0,.075), 0 0 8px rgba(102, 175, 233, .6);
        box-shadow: inset 0 1px 1px rgba(0,0,0,.075), 0 0 8px rgba(102, 175, 233, .6);
    }


#gotop /* 回頂部 for jquery */ {
    display: none;
    position: fixed;
    right: 20px;
    bottom: 20px;
    padding: 10px 15px;
    font-size: 20px;
    background: #777;
    color: white;
    cursor: pointer;
}

fieldset {
    border: 4px solid #1F497D;
    background: #FAFAFA;
    border-radius: 5px;
    padding: 15px;
}

fieldset legend {
    background: #1F497D;
    color: #fff;
    padding: 5px 10px ;
    font-size: 12px;
    border-radius: 5px;
    box-shadow: 0 0 0 5px #ddd;
    margin-left: 20px;
}